# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::DOMString Class Reference

This class implements the basic string we use in the DOM. More...

`#include <dom_string.h>`

List of all members.

## Public Member Functions

| DOMString ()
| DOMString (const QChar *str, uint len)
| DOMString (const QString &)
| DOMString (const char *str)
| DOMString (DOMStringImpl *i)
| DOMString (const DOMString &str)
DOMString & | operator= (const DOMString &str)
DOMString & | operator+= (const DOMString &str)
DOMString | operator+ (const DOMString &str)
void | insert (DOMString str, uint pos)
const QChar & | operator[] (unsigned int i) const
int | find (const QChar c, int start=0) const
uint | length () const
void | truncate (unsigned int len)
void | remove (unsigned int pos, int len=1)
DOMString | split (unsigned int pos)
DOMString | lower () const
DOMString | upper () const
QChar * | unicode () const
QString | string () const
int | toInt () const
bool | percentage (int &_percentage) const
DOMString | copy () const
bool | isNull () const
bool | isEmpty () const
DOMStringImpl * | implementation () const

## Protected Attributes

DOMStringImpl * | impl

## Friends

class | CharacterDataImpl
bool | operator== (const DOMString &a, const char *b)

## Detailed Description

This class implements the basic string we use in the DOM.

We do not use QString for 2 reasons: Memory overhead, and the missing explicit sharing of strings we need for the DOM.

All DOMStrings are explicitly shared (they behave like pointers), meaning that modifications to one instance will also modify all others. If you wish to get a DOMString that is independent, use copy().

Definition at line 43 of file dom_string.h.

## Constructor & Destructor Documentation

DOM::DOMString::DOMString | ( |  | ) | `[inline]`

| default constructor. Gives an empty DOMString Definition at line 51 of file dom_string.h. Referenced by lower(), split(), and upper().

## Member Function Documentation

DOMString & DOMString::operator+= | ( | const DOMString & | str | ) |

| append str to this string Definition at line 84 of file dom_string.cpp. References copy(), and impl.

DOMString DOMString::operator+ | ( | const DOMString & | str | ) |

| add two DOMString's Definition at line 105 of file dom_string.cpp. References copy().

const QChar & DOMString::operator[] | ( | unsigned int | i | ) | const

| The character at position i of the DOMString. If i >= length(), the character returned will be 0. Definition at line 130 of file dom_string.cpp.

DOMString DOMString::split | ( | unsigned int | pos | ) |

| Splits the string into two. The original string gets truncated to pos, and the rest is returned. Definition at line 167 of file dom_string.cpp. References DOMString().

DOMString DOMString::lower | ( |  | ) | const

| Returns a lowercase version of the string. Definition at line 173 of file dom_string.cpp. References DOMString().

DOMString DOMString::upper | ( |  | ) | const

| Returns an uppercase version of the string. Definition at line 179 of file dom_string.cpp. References DOMString().

The documentation for this class was generated from the following files:

- dom_string.h
- dom_string.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003